Bug 53738 - RFE: MS TrueType Webfonts are needed
RFE: MS TrueType Webfonts are needed
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-09-17 10:23 EDT by Hal Burgiss
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-11-03 04:19:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hal Burgiss 2001-09-17 10:23:32 EDT
Description of Problem:

Default fonts are poor, especially for web browsers. Truetype fonts 
are needed for, or at least improve greatly, many pages. The 
so called MS Webfonts have become a defacto standard, and 
MS makes these freely available for download. Users now 
have to jump through hoops to do this.

The request involves including a package (probably a short 
script) to download and install these fonts. Various packages 
are already available for this, and other distros do this now. 
AFAIK, Debian, Mandrake, and SuSE all have such a tool.  The 
request is that Redhat bundle such a package in the next 
possible release (8.0?), 

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Comment 1 Mike A. Harris 2001-09-18 03:15:58 EDT
Defering for future consideration.
Comment 2 Mike A. Harris 2002-11-03 04:18:54 EST
Microsoft has removed their webfonts from the web so that people can't
easily download them.  Any tool to automatically download fonts from
somewhere is somewhat reliant on the fonts remaining there indefinitely,
which IMHO is not reliable at all, as Microsoft has illustrated.

It also may have legal questionability.

It is quite easy to just download fonts and place them into ~/.fonts in
Red Hat Linux 8.0, or into one of the fontconfig system directories.

Closing enhancement request as WONTFIX
Comment 3 Hal Burgiss 2002-11-03 15:44:59 EST
True, about MS not being reliable. I notice fontconfig.org now hosts these
fonts, as well as two projects on SF. Maybe it would be more reliable if
redhat.com hosted them ;-) Or perhaps this would be waving a big red flag ....
Comment 4 Mike A. Harris 2002-11-04 00:34:02 EST
Well that's fine.  Those 2 or 3 projects are free to host whatever they
like, and to risk legal complications if they like to also.  The chances
of Microsoft chasing a few random people hosting a sourceforge project are
quite minimal, as they'd be highly unlikely to receive any damages gains.

Red Hat is a corporation, so the rules are very different.

Also, every thing in open source community that "would be nice" isn't
something that has to be hosted or ran by Red Hat.  You can already
get these fonts from somewhere, so go nuts.  They don't need to be
somewhere@redhat.com for them to be available.  If it were legal to
redistribute these fonts on www.redhat.com, or on sourceforge, it would
likely be legal to include them right in a product directly.  The fact
no company out there *is* doing this is a big statement.

You can download MP3 music off the net too, it doesn't mean it is legal.
Anyway, I really don't care about Microsoft fonts, and am tired of
hearing about them.  I've given my viewpoint, and Red Hat isn't about
to start shipping Microsoft fonts, nor include tools that potentially
violate any laws to do so.

Just go download the fonts and install them, or switch to some other
distribution who is comfortable enough to walk the legal bed of coals
and pray Microsoft doesn't try to sue them.

Comment 5 Hal Burgiss 2002-11-04 22:07:23 EST
OK, no need to read further. I am writing to myself and other users that might
have interest in the subject. BTW, next time instead of a smiley when I make a
joke, I'll include something like </just_a_friggin_joke> so it is *obvious*. I
didn't really expect or think that RH would, or could, host the actual fonts. 

Secondly, I have no problem downloading and installing these. I've done it many
times, over the years. The feature request was not opened to make my life
easier, or anything of the kind. It was a suggestion that I think many Red Hat
users *might* benefit from, and thus improve RH in some small way. Especially,
those new to Linux or Red Hat, whose first impression might be tainted by poor
fonts (and yes, I realize 8.0 has made _great_ strides now). As noted earlier,
other distributions, including the ultra-conservative Debian (yuch) have
somesuch tool available to their user base. 

The license clearly allows distribution:

"You may reproduce and distribute an unlimited number of copies of the SOFTWARE
PRODUCT;  provided that each copy shall be a true and complete copy, including
all copyright and trademark notices, and shall be accompanied by a copy of this
EULA.  Copies of the SOFTWARE PRODUCT may be distributed as a standalone product
or included with your own product.  Copies of the SOFTWARE PRODUCT may not be
sold or distributed for any kind of fee."

Clearly they can't be bundled and sold which is why nobody includes them, but
instead use scripts to download/install them.

As to the moving site problem, this is a a small problem, with a small solution.
The script would just need to download a file that contains an updated list of
fully qualified URLs where the fonts can be had. The script parses the list
(updated as needed), downloads, installs, blah, blah, blah.

I certainly understand there are legal concerns to the contrary.
Comment 6 Mike A. Harris 2002-11-05 04:55:15 EST
Understood.  People are free to desire various things, and to make requests
for them.  Any requests to add support to download MS fonts that end up
coming to me personally however will be CLOSED->NO_WAY.  There are ample
bug reports in bugzilla that go into greater detail of this if someone
wants to query for them.  I've thought these things out several times before,
and am pretty firm in my personal decision.  Someone else at Red Hat may
or may not feel differently and may or may not implement the request, but
any such request that comes to me, will get closed since I have stated
firmly my thoughts on this several times, and have even entertained the
idea a few times.  500 more requests isn't going to change my viewpoint.

There may or may not be legal concerns.  That's not up to me to decide,
that is up to a lawyer to decide.  Downloading fonts in this manner I
personally consider to be an ugly unreliable hack.  And hosting some
site on redhat.com that can aide people in downloading and installing
fonts has legal questionable ground also, and IANAL.  I'm not about to
implement some script idea I think is an ugly hack, nor am I willing
to volunteer to maintain such ugly script and receive end user bug
reports about it.

The solution is simple.  Do it like you do in Windows.  Download fonts,
drop them in a font directory:  ~/.fonts, or the systemwide ttf dirs,
and then reboot or whatever.  It is not that hard, and regardless of
wether or not SuSE/Mandrake/Debian/whateverdistro has scripts to do this
already, I highly doubt a small script to do this is going to make any
serious dent in the number of people using Red Hat Linux.  People use
Red Hat linux for various reasons, and I don't believe one of them
would be because it had a autofontdownloader program.

People are free to try to convince other developers here that this is
a good idea if they like, but I simply do not want any part of developing,
maintaining, or receiving bug reports for what is IMHO a horribly ugly
hack, and what might have questionable legality.  I consider these types
of font related things extremely trivial.

I don't mean to burst bubbles or incite flamewars, but I've made a decision,
and done so after hearing hundreds of users viewpoints on the issue.  I've
considered this in every possible way, and have come to my decision based
on a collection of users input, technical input, legal concerns, and other
criterion, and made a final decision from where I stand.  Arguing/debating
it with 1, 5, or 200 more users is not going to change my viewpoint.  I'm
sorry if you're upset because of this, but it's not difficult for you, or
some other user to download an RPM package that does what you want from
freshrpms.net, or some other site, and just be happy.  It doesn't have
to come with Red Hat Linux in order to solve the perceived problem.  Yes,
it is easier if it does, because it is one less step to have to do.  But
using the same logic for other software otu there, the distribution could
easily become 100 CDROMs.

Anyway, I believe this issue is old and stale for both of us now.
Comment 7 Hal Burgiss 2002-11-05 19:20:01 EST
Mike, fair enough, and enough time spent on this. I had actually forgot this
thing was still alive until you closed it. I am not the least bit upset over the
decision itself. You probably don't remember since its been quite some time, but
this feature request came about after a similar longish thread on one of the RH
lists. One of the RH guys specifically asked that a feature request be opened on
this. Obviously, it wasn't you, and I forget who it was now. If not for that, I
would not have bothered, since I would have assumed people within RH know the
pros and cons as well, if not better, than anyone else. In fact, I have nothing
but admiration of the quality of the Xfree packages and work that you and others
do. Including both 3.3.6 and 4.x was a nice trick in its day, xfs with freetype
support was a tremendous innovation, and Xft2 is fantastic stuff. RH users are
always ahead of the curve on this stuff, so I can't complain in the least. To
the contrary, this is probably the primary reason I am still with RH.

I was mildly ticked about the 'switch distros' comment. I've used RH since 5.0,
contributed bug reports and feature requests on occassion. My only motivation
has been to help improve RH. I was only being a good foot soldier by opening the
original feature request when I was asked to do so. Once that happened, its my
role to play the advocate. If I was in your shoes, I would choose to err on the
side of caution, so I fully understand the decision. 

I also think taking advantage of one of the few "free" things MS has ever done
of any value, is a nice way to a stick a finger in their eye ;-) <no need to
debate "free">

Note You need to log in before you can comment on or make changes to this bug.